It works for FF 3.5.6 Rated 5 out of 5 stars

I used alphachannel's link.